## ros-dashing-costmap-converter-msgs 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(costmap_converter_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(costmap_converter_msgs
  "msg/ObstacleMsg.msg"
  "msg/ObstacleArrayMsg.msg"
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs
)

ament_package()

=== debian/changelog ===
ros-dashing-costmap-converter-msgs (0.1.0-1bionic) bionic; urgency=high

  * Messages moved to a separate package
  * Contributors: Vinnam Kim

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 22 Jan 2020 23:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.9-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sun, 27 May 2018 22:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.8-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 16 May 2018 22:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.7-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Tue, 19 Sep 2017 22:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.6-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sun, 17 Sep 2017 22:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.5-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sun, 31 Jan 2016 23:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.4-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sun, 10 Jan 2016 23:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.3-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Tue, 22 Dec 2015 23:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.2-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 21 Dec 2015 23:00:00 -0000

ros-dashing-costmap-converter-msgs (0.0.1-1bionic) bionic; urgency=high



 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sun, 20 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-dashing-costmap-converter-msgs
Section: misc
Priority: optional
Maintainer: Christoph Rösmann <christoph.roesmann@tu-dortmund.de>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-common, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-generators, ros-dashing-std-msgs, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-costmap-converter-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: Package containing message types for costmap conversion

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-costmap-converter-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
